# Ogre::STLAllocator< T, AllocPolicy >::rebind< U > Struct Template Reference

the standard rebind mechanism More...

`#include <OgreMemorySTLAllocator.h>`

List of all members.

## Public Types

typedef STLAllocator < U, AllocPolicy > | other

## Detailed Description

### template<typename T, typename AllocPolicy>
template<typename U>
struct Ogre::STLAllocator< T, AllocPolicy >::rebind< U >

the standard rebind mechanism

Definition at line 75 of file OgreMemorySTLAllocator.h.

## Member Typedef Documentation

template<typename T, typename AllocPolicy>
template<typename U>

typedef STLAllocator<U, AllocPolicy> Ogre::STLAllocator< T, AllocPolicy >::rebind< U >::other

Definition at line 77 of file OgreMemorySTLAllocator.h.

The documentation for this struct was generated from the following file:

- OgreMemorySTLAllocator.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 14:29:11 2009